# Interface MessagePolicy.ProtectionPolicy

Enclosing class:
  `MessagePolicy`

public static interface MessagePolicy.ProtectionPolicy
Defines the level of protection to be applied to a message. A protection policy specifies whether the sender, content, or recipient of a message must be authenticated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AUTHENTICATE_CONTENT`
  Identifier for a policy that requires authentication of the message content.
  `static final String`
  `AUTHENTICATE_RECIPIENT`
  Identifier for a policy that requires authentication of the recipient.
  `static final String`
  `AUTHENTICATE_SENDER`
  Identifier for a policy that requires authentication of the sender.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getID()`
  Returns the unique identifier for this protection policy.

- ## Field Details

  - ### AUTHENTICATE_SENDER

    static final String AUTHENTICATE_SENDER
    Identifier for a policy that requires authentication of the sender.
    See Also:
      - Constant Field Values

  - ### AUTHENTICATE_CONTENT

    static final String AUTHENTICATE_CONTENT
    Identifier for a policy that requires authentication of the message content.
    See Also:
      - Constant Field Values

  - ### AUTHENTICATE_RECIPIENT

    static final String AUTHENTICATE_RECIPIENT
    Identifier for a policy that requires authentication of the recipient.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getID

    String getID()
    Returns the unique identifier for this protection policy.
    Returns:
      the string identifier for this policy